[EPIC] OnTtumMi3zauii (pedoaktopuHr) - Task #5494

Task # 5411 (New): ®yHKUiOHan aBTOMaTUYHOrO PO3AINEHHS hainis KNiEHTIB

lNMepeHecTu KapTUHKMK 3 3aranbHOI NankKu B KNi€EHTCbKi nanku
03/06/2024 07:48 - % llya Lepkin-Titov

Status: New Start date: 03/06/2024
Priority: Normal Due date:
Assignee: # Volodymyr Lysiuk Spent time: 0.00 hour
Category:
Target version: Release 112
Category: Another Current Version: Release 110
Due date: OS (operating

system):
Client:
Description

BB: Po3pobuty oyHKLIOHaN aBTOMaTUYHOIO NEPEHECEHHS doaiiniB KNIEHTIB 3 3arasibHVX Nanok B BiAMOBiAHY Narnky KiieHTa.

Lns uboro HeobxinHO po3pobuTn HanawTyBaHHA ons 1C, ske 6yaoe nepeMukaTil WsiX eKCropTy doannie 3 NOTOYHOT NOriky Ha HOBY
- isNewEXxport.
HanawTtysaHHa npuiiMae napameTpu true i false.

1. MapameTp true - 0603HauaEe, WO Y KNiEHTa BUKOPUCTOBYETLCS HOBA NIOTiKa eKCNopTY.
2. MNapameTp false - 0603Ha4vae, WO y KNieHTa BUKOPUCTOBYETHCS CTapa Norika eKcrnopTy.

Konn pns HanawTyBaHHS BCTAHOBNIOETLCS NapameTp true, To:

1. B BiZnoBigHMx nankax Ha ftp cTBoprotoTbes nanku knieHTis. clientName - Hasea 6a3u knieHTa, napameTp clientName 6patu 3
Tabnuui "HacTtpolikm nonb3oBatenein MepyeHaansmHr"
1. /home/ftpuser/images/clientName
2. /home/ftpuser/images/tasks/clientName
3. /home/ftpuser/images/equipment/clientName
4. /home/ftpuser/images/storeplan/clientName
5. /home/ftpuser/reports/BaseName
2. B wnsxu BuBaHTaXeHHs hainis Ha fip nogaeTbcs Ha3Ba KnieHTa.
1. /home/ftpuser/images - /home/ftpuser/images/clientName
2. /nome/ftpuser/images/tasks - home/ftpuser/images/tasks/clientName
3. /home/ftpuser/images/equipment - /home/ftpuser/images/equipment/clientName
4. /home/ftpuser/images/storeplan - /home/ftpuser/images/storeplan/clientName
5. /home/ftpuser/reports - /home/ftpuser/reports/clientName
3. MoTo4Hi tharinm knieHTa NepeHOCATbCS 3 3aranbHUX NanoK B Nanku KnieHTa.
4. 3rigHO 3 NOTOYHOT NOrikK NepeHecTn dannu:
1. Peanorpamu - Tinbku Ti peanorpamu, ski 4oAaHi 00 aKTUBHUX NNaHOrpam.
2. KapTuHku ToBapiB, NignoXKu NnaHie 3any i KApTUHKK Ha obnaaHaHHi - TinbKi Ti KAPTUHKK, SKi AoOaHi 00 aKTUBHUX CBOTX
CYTHOCTe. SKWo nerwe, To nepeHecTn kKapTuHkn 3 B, a He kynitoBaTK 3 fip.
5. lopatn XuUTTEBUIA UMK ON4 3BIiTIB - OAMH 3BiT, 3 MOMEHTY CTBOPEHHS iCHY€E He Binblue ABOX TWXXHIB, NICNS YOro BUAANSETHCS
3 ftp.
6. Jopatu noriky BuoaneHHs peanorpam.
1. MNepeBipaTn, 4yn € 3anmcu 3 ogHakosumn Y1amum, nepeBipsTy 3Ha4YEHHS 00 3HaKa - $.
2. SIKWwo Taki 3anucy iCHYI0Tb - BUOANUTK YCi, faTa SKuxX, MeHwWwa 3a HanakTyanbHiwy naTty.
7. Hosi komnaHii cteoptotoTbesa 3 isNewExport = true

BukniouyeHHs:
Lns knieHTiB y sKMXx CBOE cxoBULLE 3aB0POHMTY BCTAHOBMTY true B napameTpy HanawTyBaHHs. To6To B napameTpi prodimagesPath
BCTaHOBJ/IEHE MOCWAHHS, WO BiOPI3HAETHCS Bifl MOCUNAHHS Ha BEOKY KieHTa.

History

#1 - 06/06/2024 06:00 - # llya Lepkin-Titov

- Description updated
#2 - 19/06/2024 04:25 - # llya Lepkin-Titov

- Description updated

#3 - 01/07/2024 02:50 - # llya Lepkin-Titov

- Description updated

#4 - 04/03/2025 09:16 - ® Aleksandr Bilousko
- Project changed from Shelf dev to [EPIC] Ontumisauii (pegbaktopuHr)
- Assignee changed from & llya Lepkin-Titov to # Volodymyr Lysiuk

- Target version deleted (Release 110)

#5 - 01/05/2025 08:42 - & Katarina Herikh
- Tracker changed from User story to Task
- Target version set to Release 112

- Current Version set to Release 110
